DCMTK: DRTPatientSetupSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTPatientSetupSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTPatientSetupSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getPatientAdditionalPosition (OFString &value, const signed long pos=0) const
| get PatientAdditionalPosition (300a,0184)
OFCondition | getPatientPosition (OFString &value, const signed long pos=0) const
| get PatientPosition (0018,5100)
OFCondition | getPatientSetupLabel (OFString &value, const signed long pos=0) const
| get PatientSetupLabel (300a,0183)
OFCondition | getPatientSetupNumber (OFString &value, const signed long pos=0) const
| get PatientSetupNumber (300a,0182)
OFCondition | getPatientSetupNumber (Sint32 &value, const unsigned long pos=0) const
| get PatientSetupNumber (300a,0182)
OFCondition | getSetupTechnique (OFString &value, const signed long pos=0) const
| get SetupTechnique (300a,01b0)
OFCondition | getSetupTechniqueDescription (OFString &value, const signed long pos=0) const
| get SetupTechniqueDescription (300a,01b2)
OFCondition | getTableTopLateralSetupDisplacement (OFString &value, const signed long pos=0) const
| get TableTopLateralSetupDisplacement (300a,01d6)
OFCondition | getTableTopLateralSetupDisplacement (Float64 &value, const unsigned long pos=0) const
| get TableTopLateralSetupDisplacement (300a,01d6)
OFCondition | getTableTopLongitudinalSetupDisplacement (OFString &value, const signed long pos=0) const
| get TableTopLongitudinalSetupDisplacement (300a,01d4)
OFCondition | getTableTopLongitudinalSetupDisplacement (Float64 &value, const unsigned long pos=0) const
| get TableTopLongitudinalSetupDisplacement (300a,01d4)
OFCondition | getTableTopVerticalSetupDisplacement (OFString &value, const signed long pos=0) const
| get TableTopVerticalSetupDisplacement (300a,01d2)
OFCondition | getTableTopVerticalSetupDisplacement (Float64 &value, const unsigned long pos=0) const
| get TableTopVerticalSetupDisplacement (300a,01d2)
DRTFixationDeviceSequence & | getFixationDeviceSequence ()
| get FixationDeviceSequence (300a,0190)
const DRTFixationDeviceSequence & | getFixationDeviceSequence () const
| get FixationDeviceSequence (300a,0190)
DRTMotionSynchronizationSequence & | getMotionSynchronizationSequence ()
| get MotionSynchronizationSequence (300a,0410)
const DRTMotionSynchronizationSequence & | getMotionSynchronizationSequence () const
| get MotionSynchronizationSequence (300a,0410)
DRTReferencedSetupImageSequence & | getReferencedSetupImageSequence ()
| get ReferencedSetupImageSequence (300a,0401)
const DRTReferencedSetupImageSequence & | getReferencedSetupImageSequence () const
| get ReferencedSetupImageSequence (300a,0401)
DRTSetupDeviceSequence & | getSetupDeviceSequence ()
| get SetupDeviceSequence (300a,01b4)
const DRTSetupDeviceSequence & | getSetupDeviceSequence () const
| get SetupDeviceSequence (300a,01b4)
DRTShieldingDeviceSequence & | getShieldingDeviceSequence ()
| get ShieldingDeviceSequence (300a,01a0)
const DRTShieldingDeviceSequence & | getShieldingDeviceSequence () const
| get ShieldingDeviceSequence (300a,01a0)
OFCondition | setPatientAdditionalPosition (const OFString &value, const OFBool check=OFTrue)
| set PatientAdditionalPosition (300a,0184)
OFCondition | setPatientPosition (const OFString &value, const OFBool check=OFTrue)
| set PatientPosition (0018,5100)
OFCondition | setPatientSetupLabel (const OFString &value, const OFBool check=OFTrue)
| set PatientSetupLabel (300a,0183)
OFCondition | setPatientSetupNumber (const OFString &value, const OFBool check=OFTrue)
| set PatientSetupNumber (300a,0182)
OFCondition | setSetupTechnique (const OFString &value, const OFBool check=OFTrue)
| set SetupTechnique (300a,01b0)
OFCondition | setSetupTechniqueDescription (const OFString &value, const OFBool check=OFTrue)
| set SetupTechniqueDescription (300a,01b2)
OFCondition | setTableTopLateralSetupDisplacement (const OFString &value, const OFBool check=OFTrue)
| set TableTopLateralSetupDisplacement (300a,01d6)
OFCondition | setTableTopLongitudinalSetupDisplacement (const OFString &value, const OFBool check=OFTrue)
| set TableTopLongitudinalSetupDisplacement (300a,01d4)
OFCondition | setTableTopVerticalSetupDisplacement (const OFString &value, const OFBool check=OFTrue)
| set TableTopVerticalSetupDisplacement (300a,01d2)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTFixationDeviceSequence | FixationDeviceSequence
| FixationDeviceSequence (300a,0190) vr=SQ, vm=1, type=3.
DRTMotionSynchronizationSequence | MotionSynchronizationSequence
| MotionSynchronizationSequence (300a,0410) vr=SQ, vm=1, type=3.
DcmLongString | PatientAdditionalPosition
| PatientAdditionalPosition (300a,0184) vr=LO, vm=1, type=1C.
DcmCodeString | PatientPosition
| PatientPosition (0018,5100) vr=CS, vm=1, type=1C.
DcmLongString | PatientSetupLabel
| PatientSetupLabel (300a,0183) vr=LO, vm=1, type=3.
DcmIntegerString | PatientSetupNumber
| PatientSetupNumber (300a,0182) vr=IS, vm=1, type=1.
DRTReferencedSetupImageSequence | ReferencedSetupImageSequence
| ReferencedSetupImageSequence (300a,0401) vr=SQ, vm=1, type=3.
DRTSetupDeviceSequence | SetupDeviceSequence
| SetupDeviceSequence (300a,01b4) vr=SQ, vm=1, type=3.
DcmCodeString | SetupTechnique
| SetupTechnique (300a,01b0) vr=CS, vm=1, type=3.
DcmShortText | SetupTechniqueDescription
| SetupTechniqueDescription (300a,01b2) vr=ST, vm=1, type=3.
DRTShieldingDeviceSequence | ShieldingDeviceSequence
| ShieldingDeviceSequence (300a,01a0) vr=SQ, vm=1, type=3.
DcmDecimalString | TableTopLateralSetupDisplacement
| TableTopLateralSetupDisplacement (300a,01d6) vr=DS, vm=1, type=3.
DcmDecimalString | TableTopLongitudinalSetupDisplacement
| TableTopLongitudinalSetupDisplacement (300a,01d4) vr=DS, vm=1, type=3.
DcmDecimalString | TableTopVerticalSetupDisplacement
| TableTopVerticalSetupDisplacement (300a,01d2) vr=DS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTPatientSetupSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTPatientSetupSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getFixationDeviceSequence() [1/2]

DRTFixationDeviceSequence & DRTPatientSetupSequence::Item::getFixationDeviceSequence | ( |  | ) |
| inline

get FixationDeviceSequence (300a,0190)

Returns
  reference to sequence element

References FixationDeviceSequence.

## ◆ getFixationDeviceSequence() [2/2]

const DRTFixationDeviceSequence & DRTPatientSetupSequence::Item::getFixationDeviceSequence | ( |  | ) | const
| inline

get FixationDeviceSequence (300a,0190)

Returns
  const reference to sequence element

References FixationDeviceSequence.

## ◆ getMotionSynchronizationSequence() [1/2]

DRTMotionSynchronizationSequence & DRTPatientSetupSequence::Item::getMotionSynchronizationSequence | ( |  | ) |
| inline

get MotionSynchronizationSequence (300a,0410)

Returns
  reference to sequence element

References MotionSynchronizationSequence.

## ◆ getMotionSynchronizationSequence() [2/2]

const DRTMotionSynchronizationSequence & DRTPatientSetupSequence::Item::getMotionSynchronizationSequence | ( |  | ) | const
| inline

get MotionSynchronizationSequence (300a,0410)

Returns
  const reference to sequence element

References MotionSynchronizationSequence.

## ◆ getPatientAdditionalPosition()

OFCondition DRTPatientSetupSequence::Item::getPatientAdditionalPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientAdditionalPosition (300a,0184)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientPosition()

OFCondition DRTPatientSetupSequence::Item::getPatientPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientPosition (0018,5100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSetupLabel()

OFCondition DRTPatientSetupSequence::Item::getPatientSetupLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSetupLabel (300a,0183)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSetupNumber() [1/2]

OFCondition DRTPatientSetupSequence::Item::getPatientSetupNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSetupNumber (300a,0182)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSetupNumber() [2/2]

OFCondition DRTPatientSetupSequence::Item::getPatientSetupNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get PatientSetupNumber (300a,0182)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedSetupImageSequence() [1/2]

DRTReferencedSetupImageSequence & DRTPatientSetupSequence::Item::getReferencedSetupImageSequence | ( |  | ) |
| inline

get ReferencedSetupImageSequence (300a,0401)

Returns
  reference to sequence element

References ReferencedSetupImageSequence.

## ◆ getReferencedSetupImageSequence() [2/2]

const DRTReferencedSetupImageSequence & DRTPatientSetupSequence::Item::getReferencedSetupImageSequence | ( |  | ) | const
| inline

get ReferencedSetupImageSequence (300a,0401)

Returns
  const reference to sequence element

References ReferencedSetupImageSequence.

## ◆ getSetupDeviceSequence() [1/2]

DRTSetupDeviceSequence & DRTPatientSetupSequence::Item::getSetupDeviceSequence | ( |  | ) |
| inline

get SetupDeviceSequence (300a,01b4)

Returns
  reference to sequence element

References SetupDeviceSequence.

## ◆ getSetupDeviceSequence() [2/2]

const DRTSetupDeviceSequence & DRTPatientSetupSequence::Item::getSetupDeviceSequence | ( |  | ) | const
| inline

get SetupDeviceSequence (300a,01b4)

Returns
  const reference to sequence element

References SetupDeviceSequence.

## ◆ getSetupTechnique()

OFCondition DRTPatientSetupSequence::Item::getSetupTechnique | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SetupTechnique (300a,01b0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSetupTechniqueDescription()

OFCondition DRTPatientSetupSequence::Item::getSetupTechniqueDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SetupTechniqueDescription (300a,01b2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getShieldingDeviceSequence() [1/2]

DRTShieldingDeviceSequence & DRTPatientSetupSequence::Item::getShieldingDeviceSequence | ( |  | ) |
| inline

get ShieldingDeviceSequence (300a,01a0)

Returns
  reference to sequence element

References ShieldingDeviceSequence.

## ◆ getShieldingDeviceSequence() [2/2]

const DRTShieldingDeviceSequence & DRTPatientSetupSequence::Item::getShieldingDeviceSequence | ( |  | ) | const
| inline

get ShieldingDeviceSequence (300a,01a0)

Returns
  const reference to sequence element

References ShieldingDeviceSequence.

## ◆ getTableTopLateralSetupDisplacement() [1/2]

OFCondition DRTPatientSetupSequence::Item::getTableTopLateralSetupDisplacement | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLateralSetupDisplacement (300a,01d6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralSetupDisplacement() [2/2]

OFCondition DRTPatientSetupSequence::Item::getTableTopLateralSetupDisplacement | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLateralSetupDisplacement (300a,01d6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalSetupDisplacement() [1/2]

OFCondition DRTPatientSetupSequence::Item::getTableTopLongitudinalSetupDisplacement | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLongitudinalSetupDisplacement (300a,01d4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalSetupDisplacement() [2/2]

OFCondition DRTPatientSetupSequence::Item::getTableTopLongitudinalSetupDisplacement | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLongitudinalSetupDisplacement (300a,01d4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalSetupDisplacement() [1/2]

OFCondition DRTPatientSetupSequence::Item::getTableTopVerticalSetupDisplacement | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopVerticalSetupDisplacement (300a,01d2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalSetupDisplacement() [2/2]

OFCondition DRTPatientSetupSequence::Item::getTableTopVerticalSetupDisplacement | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopVerticalSetupDisplacement (300a,01d2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTPatientSetupSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTPatientSetupSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTPatientSetupSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTPatientSetupSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientAdditionalPosition()

OFCondition DRTPatientSetupSequence::Item::setPatientAdditionalPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientAdditionalPosition (300a,0184)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientPosition()

OFCondition DRTPatientSetupSequence::Item::setPatientPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientPosition (0018,5100)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSetupLabel()

OFCondition DRTPatientSetupSequence::Item::setPatientSetupLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSetupLabel (300a,0183)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSetupNumber()

OFCondition DRTPatientSetupSequence::Item::setPatientSetupNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSetupNumber (300a,0182)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSetupTechnique()

OFCondition DRTPatientSetupSequence::Item::setSetupTechnique | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SetupTechnique (300a,01b0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSetupTechniqueDescription()

OFCondition DRTPatientSetupSequence::Item::setSetupTechniqueDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SetupTechniqueDescription (300a,01b2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLateralSetupDisplacement()

OFCondition DRTPatientSetupSequence::Item::setTableTopLateralSetupDisplacement | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLateralSetupDisplacement (300a,01d6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLongitudinalSetupDisplacement()

OFCondition DRTPatientSetupSequence::Item::setTableTopLongitudinalSetupDisplacement | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLongitudinalSetupDisplacement (300a,01d4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopVerticalSetupDisplacement()

OFCondition DRTPatientSetupSequence::Item::setTableTopVerticalSetupDisplacement | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopVerticalSetupDisplacement (300a,01d2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTPatientSetupSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtpss.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2